PacketData (ActiveIO 1.0 API)
Keywords: org.activeio.PacketData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio
Class PacketData

    java.lang.Object
      org.activeio.PacketData

public final class PacketData
extends java.lang.Object

Used to write and read primitives to and from a Packet.

Constructor Summary
`PacketData(Packet packet)`
`PacketData(Packet packet, boolean bigEndian)`

Method Summary
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`int` | `skipBytes(int n)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeBoolean(boolean v)`
`void` | `writeByte(int v)`
`void` | `writeChar(int v)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int v)`
`void` | `writeLong(long v)`
`void` | `writeRawDouble(double v)`
`void` | `writeRawFloat(float v)`
`void` | `writeShort(int v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketData

    public PacketData(Packet packet)

### PacketData

    public PacketData(Packet packet,
                      boolean bigEndian)

Method Detail

### readFully

    public void readFully(byte[] b)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFully

    public void readFully(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipBytes

    public int skipBytes(int n)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    public short readShort()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    public char readChar()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    public long readLong()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readDouble

    public double readDouble()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFloat

    public float readFloat()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBoolean

    public void writeBoolean(boolean v)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(int v)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(int v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int v)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long v)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDouble

    public void writeDouble(double v)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(float v)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeRawDouble

    public void writeRawDouble(double v)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeRawFloat

    public void writeRawFloat(float v)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.